[kernel] r4775 - people/horms/test_kernel_build/lib

Simon Horman horms at costa.debian.org
Thu Nov 10 06:27:35 UTC 2005


Author: horms
Date: Thu Nov 10 06:27:34 2005
New Revision: 4775

Modified:
   people/horms/test_kernel_build/lib/libtkb.generic
Log:
enhance check for needed commands

Modified: people/horms/test_kernel_build/lib/libtkb.generic
==============================================================================
--- people/horms/test_kernel_build/lib/libtkb.generic	(original)
+++ people/horms/test_kernel_build/lib/libtkb.generic	Thu Nov 10 06:27:34 2005
@@ -9,8 +9,14 @@
 declare VERSION BRANCH START_STAGE END_STAGE STAGE MAJOR_MINOR SVN_SUBDIR
 pre_conf_setup_generic ()
 {
-	if ! which fakeroot >& /dev/null; then
-		echo "Error: fakeroot is not installed" 1>&2
+	STATUS=0
+	for i in fakeroot rsync svn wget; do
+		if ! which $i >& /dev/null; then
+			echo "Error: $i is not installed" 1>&2
+			STATUS=1
+		fi
+	done
+	if [ $STATUS != 0 ]; then
 		exit 1
 	fi
 



More information about the Kernel-svn-changes mailing list